summaryrefslogtreecommitdiff
path: root/libraries/wxGTK3/wxGTK3.SlackBuild
diff options
context:
space:
mode:
authorWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-09 23:03:06 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-10 08:34:53 +0700
commitf905174a291b71717bdf647be065db2bb79738c0 (patch)
treec81d62ff19bec87df27cfe9cdf889024e53c646f /libraries/wxGTK3/wxGTK3.SlackBuild
parent51023864d24a68b2bf787cae96fdeb412e0b572a (diff)
downloadslackbuilds-f905174a291b71717bdf647be065db2bb79738c0.tar.gz
libraries/wxGTK3: Support static and webview feature.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/wxGTK3/wxGTK3.SlackBuild')
-rw-r--r--libraries/wxGTK3/wxGTK3.SlackBuild32
1 files changed, 24 insertions, 8 deletions
diff --git a/libraries/wxGTK3/wxGTK3.SlackBuild b/libraries/wxGTK3/wxGTK3.SlackBuild
index 05d45ce493..3a9ce7237e 100644
--- a/libraries/wxGTK3/wxGTK3.SlackBuild
+++ b/libraries/wxGTK3/wxGTK3.SlackBuild
@@ -24,8 +24,8 @@
PRGNAM=wxGTK3
VERSION=${VERSION:-3.0.2}
-GITVER=${GITVER:-a34b9c1e01699c4924357ace906644c03ea9d0bf}
-BUILD=${BUILD:-3}
+GITVER=${GITVER:-1a9900a81340b3b509ec2e904667f3538bca4e3d}
+BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
SRCNAM=wxWidgets
@@ -57,8 +57,6 @@ else
LIBDIRSUFFIX=""
fi
-set -e
-
# Check for STL
if [ "${STL:-no}" = "yes" ]; then
stl="--enable-stl"
@@ -66,19 +64,35 @@ else
stl=""
fi
+# Check for WebKit
+webkit=`pkg-config --exists webkit-1.0`
+if [ "$?" -eq 0 ]; then
+ wk="--enable-webkit"
+else
+ wk=""
+fi
+
+# Check for static
+if [ "${STATIC:-no}" = "yes" ]; then
+ st="--disable-shared"
+else
+ st="--enable-shared"
+fi
+
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$GITVER
-#tar xvf $CWD/$SRCNAM-$GITVER.tar.bz2
unzip $CWD/$SRCNAM-$GITVER.zip
cd $SRCNAM-$GITVER
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -86,7 +100,6 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --enable-shared \
--enable-mediactrl \
--with-opengl \
--enable-graphics_ctx \
@@ -94,7 +107,10 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-unicode \
--enable-plugins \
--enable-ipv6 \
+ --enable-webview \
+ $wk \
$stl \
+ $st \
--build=$ARCH-slackware-linux
make